﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace BasicWidgets02
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void IncrementValue_Click(object sender, RoutedEventArgs e)
        {
            if (DeterminateBar.Value < 100)
            {
                DeterminateBar.Value += 10;
            }
            else
            {
                DeterminateBar.Value = 0;
            }
        }

        private void SetNormal_Checked(object sender, RoutedEventArgs e)
        {
            DeterminateBar.ShowError = false;
            DeterminateBar.ShowPaused = false;
        }

        private void SetPaused_Checked(object sender, RoutedEventArgs e)
        {
            DeterminateBar.ShowError = false;
            DeterminateBar.ShowPaused = true;
        }

        private void SetError_Checked(object sender, RoutedEventArgs e)
        {
            DeterminateBar.ShowError = true;
            DeterminateBar.ShowPaused = false;
        }
    }
}
