﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace ComplexWidgets01
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void StretchNone_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.Stretch = Stretch.None;
        }

        private void StretchFill_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.Stretch = Stretch.Fill;
        }

        private void StretchUniform_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.Stretch = Stretch.Uniform;
        }

        private void StretchUniformToFill_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.Stretch = Stretch.UniformToFill;
        }

        private void DirectionUpOnly_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.StretchDirection = StretchDirection.UpOnly;
        }

        private void DirectionDownOnly_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.StretchDirection = StretchDirection.DownOnly;
        }

        private void DirectionBoth_Checked(object sender, RoutedEventArgs e)
        {
            TestViewer.StretchDirection = StretchDirection.Both;
        }
    }
}
