﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI;

namespace Chapter18
{
    public class ColorDetails
    {
        public string Red { get; set; }
        public string Green { get; set; }
        public string Blue { get; set; }
        public Color ActualColor { get; set; }
        public string ColorName { get; set; }
        // public string ColorGroup { get; set; }
        public string HexValue { get; set; }
        public string Key { get; set; }


        public ColorGroup ColorGroup
        {
            get
            {
                Color c = ActualColor;
                if (c.R > c.G && c.R > c.B)
                    return Chapter18.ColorGroup.Red;
                else if (c.G > c.R && c.G > c.B)
                    return Chapter18.ColorGroup.Green;
                else if (c.B > c.R && c.B > c.G)
                    return Chapter18.ColorGroup.Blue;
                else
                    return Chapter18.ColorGroup.Neutral;
            }
        }
    }
}
