﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace Commanding02
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void WarningBar_Closed(object sender, object e)
        {
            WarningBar.Visibility = Visibility.Collapsed;
        }

        private void Scary_Click(object sender, RoutedEventArgs e)
        {
            WarningBar.Visibility = Visibility.Visible;
            WarningBar.IsOpen = true;
        }

        private void FlyoutText_Tapped(object sender, TappedRoutedEventArgs e)
        {
            FlyoutBase.ShowAttachedFlyout((FrameworkElement)sender);
        }

        private async void CC1_Click(object sender, RoutedEventArgs e)
        {
            Windows.UI.Popups.UICommand help = new UICommand("I’ll help",
            new UICommandInvokedHandler(DialogCommandInvoked));
            UICommand goAway = new UICommand("Go away",
            new UICommandInvokedHandler(DialogCommandInvoked));
            MessageDialog md = new MessageDialog("I can’t go on without your help...",
            "My First Dialog");
            md.Commands.Add(help);
            md.Commands.Add(goAway);
            md.DefaultCommandIndex = 0;
            md.CancelCommandIndex = 1;
            await md.ShowAsync();
        }

        private void DialogCommandInvoked(IUICommand command)
        { }

    }
}
