﻿Imports Windows.UI.Popups

' The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

''' <summary>
''' An empty page that can be used on its own or navigated to within a Frame.
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Private Sub WarningBar_Closed(sender As Object, e As Object)
        WarningBar.Visibility = Windows.UI.Xaml.Visibility.Collapsed
    End Sub

    Private Sub Scary_Click(sender As Object, e As RoutedEventArgs)
        WarningBar.Visibility = Windows.UI.Xaml.Visibility.Visible
        WarningBar.IsOpen = True
    End Sub

    Private Sub FlyoutText_Tapped(sender As Object, e As TappedRoutedEventArgs)
        FlyoutBase.ShowAttachedFlyout(CType(sender, FrameworkElement))
    End Sub

    Private Async Sub CC1_Click(sender As Object, e As RoutedEventArgs)
        Dim help As UICommand = New UICommand("I'll help", _
                                              New UICommandInvokedHandler(AddressOf DialogCommandInvoked))
        Dim goAway As UICommand = New UICommand("Go Away", _
                                                New UICommandInvokedHandler(AddressOf DialogCommandInvoked))
        Dim md As MessageDialog = New MessageDialog("I can't go on without your help...", "My first dialog")
        md.Commands.Add(help)
        md.Commands.Add(goAway)
        md.DefaultCommandIndex = 0
        md.CancelCommandIndex = 1
        Await md.ShowAsync()
    End Sub

    Private Sub DialogCommandInvoked(command As IUICommand)

    End Sub
End Class
