﻿Imports Windows.UI

Public Class ColorDetails
    Public Property ActualColor As Color
    Public Property Blue As String
    'Public Property ColorGroup As String
    Public Property ColorName As String
    Public Property Green As String
    Public Property HexValue As String
    Public Property Red As String
    Public Property Key As String


    Public ReadOnly Property ColorGroup() As ColorGroup

        Get
            Dim c As Color = ActualColor
            If c.R > c.G And c.R > c.B Then
                Return Search.ColorGroup.Red
            ElseIf c.G > c.R And c.G > c.B Then
                Return Search.ColorGroup.Green
            ElseIf (c.B > c.R And c.B > c.G) Then
                Return Search.ColorGroup.Blue
            Else
                Return Search.ColorGroup.Neutral
            End If
        End Get

    End Property

    

End Class

Public Enum ColorGroup
    Red
    Green
    Blue
    Neutral
End Enum
